# Command: NumProcesses

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    NumProcesses - Return the number of MPI processes.

Synopsis:

    NumProcesses -> int

Description:

      Returns the number of MPI processes (MPI_Comm_size). This
      function is mainly meant for logging and debugging purposes.

Availability:

    NEST 2.0

Author:

    Jochen Martin Eppler

FirstVersion:

    January 2006

SeeAlso:

- Rank
- SyncProcesses
- ProcessorName

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/nestkernel/nestmodule.cpp

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative